apr-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "William A. Rowe, Jr." <wr...@rowe-clan.net>
Subject Re: apr pkgconfig use (apr.pc vs. apr-1.pc)
Date Wed, 30 Jun 2004 12:26:05 GMT
At 03:56 AM 6/30/2004, Joe Orton wrote:
>On Wed, Jun 30, 2004 at 09:49:48AM +0100, Max Bowsher wrote:
>> Joe Orton wrote:
>> > On Tue, Jun 29, 2004 at 03:11:30PM -0400, Greg Hudson wrote:
>> > ...
>> >> So, please change the recently added pkgconfig support to install
>> >> apr-1.pc, so that upstream packages will run "pkg-config --libs apr-1"
>> >> instead of just looking for any old version of APR.  By itself, that
>> >> won't help with the APR 0.9 to APR 1.x transition, but it will help
>> >> with APR 1.x to APR 2.x.
>> > 
>> > Yeah, I realised the same thing... I'll rename it.
>> > 
>> >> Separately, I will request that APR remove apr-config from APR 1.0 and
>> >> later in order to correctly manage the APR 0.9 -> APR 1.0 transition,
>> >> but I bet that won't fly.
>> > 
>> > APR cannot mandate presence of pkgconfig, so do you have an alternative?
>> 
>> Install apr-config as apr-$(APR_MAJOR_VERSION)-config ?
>
>Greg wrote "remove" rather than "rename", though indeed, I guess
>renaming should work.

Hmmm...

If an app is written to support apr 2, 1 or 0, wouldn't a sanity check
for the presence of apr-2-confiig / apr-1-config / apr-config solve this?

Leave installed apr-config as a presumed-rev 0.9.x installed version.
Now that Max mentions this - I have tripped over it once before.

Bill



Mime
View raw message